/// <reference types="node" />
import { SpawnSyncOptions } from 'child_process';
export declare function execute(repo: execute.Repo, args: execute.Argv, options?: execute.Options): execute.Result;
export declare namespace execute {
    type Repo = string;
    type Argv = ReadonlyArray<string>;
    type Options = SpawnSyncOptions;
    type Result = string;
    class ExecutionError extends Error {
        readonly name = "ExecutionError";
        readonly status: number;
        readonly signal: string;
        readonly stderr: string;
        constructor(status: number, signal: string, stderr: string);
    }
}
export default execute;
